[arch-commits] Commit in policykit-gnome/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Mon Aug 25 13:12:41 EDT 2008


    Date: Monday, August 25, 2008 @ 13:12:41
  Author: jgc
Revision: 10291

GNOME 2.23.90

Added:
  policykit-gnome/trunk/PKGBUILD

----------+
 PKGBUILD |   32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

Added: PKGBUILD
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2008-08-25 17:12:41 UTC (rev 10291)
@@ -0,0 +1,32 @@
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+# Contributor: onestep_ua <onestep at ukr.net>
+
+pkgname=policykit-gnome
+pkgver=0.9.2
+pkgrel=1
+pkgdesc="PolicyKit integration for the GNOME desktop"
+arch=('i686' 'x86_64')
+url="http://hal.freedesktop.org/docs/PolicyKit-gnome/"
+license=('GPL')
+depends=('gconf>=2.23.2')
+makedepends=('intltool' 'gtk-doc' 'gnome-doc-utils>=0.12.2')
+options=(!emptydirs !libtool)
+install=${pkgname}.install
+source=(http://hal.freedesktop.org/releases/PolicyKit-gnome-${pkgver}.tar.bz2)
+md5sums=('fc478b168d0c926a9766b0b415ff4bbf')
+
+build() {
+  cd "${srcdir}/PolicyKit-gnome-${pkgver}"
+
+  ./configure --prefix=/usr \
+      --sysconfdir=/etc \
+      --libexecdir=/usr/lib/PolicyKit \
+      --disable-gtk-doc \
+      --disable-examples
+  make || return 1
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
+
+  install -m 755 -d "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
+}




More information about the arch-commits mailing list